API server
https://app.coolify.io/api/v1Attach an additional standalone Docker destination to an application.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
UUID of the application.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
destination_uuid*string
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://app.coolify.io/api/v1/applications/string/destinations" \ -H "Content-Type: application/json" \ -d '{ "destination_uuid": "string" }'Empty
{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}